%define _use_internal_dependency_generator 0

%define	emacsver	20.7
%define	xemacsver	21.4.11

Name:			mew
Version:		4.2
Release: 1
License:		BSD-like
URL:			http://www.mew.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}
BuildPrereq:		emacs >= %{emacsver}
BuildPrereq:		xemacs >= %{xemacsver}
BuildRequires:		emacs >= %{emacsver}
BuildRequires:		xemacs >= %{xemacsver}
Source0:		ftp://ftp.mew.org/pub/Mew/mew-%{version}.tar.gz
Source1:		mew-init.el

Patch0:			mew-2.2-makefile.patch


Summary:		Mew - Messaging in the Emacs World.
Group:			Applications/Internet
Requires:		emacs-common
Requires:		%{name}-common = %{version}
Obsoletes:		mew-mule 
Conflicts:		mew-xemacs-extra

%description
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the files for Emacs.


%package xemacs
Summary:		Mew - Messaging in the Emacs World for XEmacs
Group:			Applications/Internet
Requires:		xemacs-common
Requires:		%{name}-common = %{version}
Conflicts:		xemacs <= 21.1.14-24

%description xemacs
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the files for XEmacs.


%package common
Summary:		Mew - Common files of Messagin in the Emacs World
Group:			Applications/Internet
Prereq(post,postun):	/sbin/install-info

%description common
Messaging in the Emacs World. It provides a very easy user interface
to email, MIME, and PGP (Pretty Good Privacy) on the Emacs and the Editors
derived from the Emacs and so on.
This package contains the common files.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .makefile

%build
%configure

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_infodir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/{mew,site-start.d}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/xemacs/site-packages/lisp/site-start.d
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/xemacs/xemacs-packages/lisp/mew

#(cd $RPM_BUILD_DIR/%{name}-%{version}/bin && \
#%%configure
#)

#
# for Emacs
#
make	prefix=%{_prefix} \
	CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/emacs \
	elispdir=%{_datadir}/emacs/site-lisp/%{name} \
	etcdir=%{_datadir}/pixmaps/Mew
make EMACS=/usr/bin/emacs infodir=%{_infodir} info
make EMACS=/usr/bin/emacs infodir=%{_infodir} jinfo

%makeinstall \
	elispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/%{name} \
	etcdir=$RPM_BUILD_ROOT%{_datadir}/pixmaps/Mew \
	INSTALLINFO="/sbin/install-info"

make install-jinfo \
	INSTALLINFO="/sbin/install-info" \
	infodir=$RPM_BUILD_ROOT%{_infodir}

install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/site-start.d

make clean

#
# for XEmacs
#
make	prefix=%{_prefix} \
	CFLAGS="$RPM_OPT_FLAGS" \
	EMACS=/usr/bin/xemacs \
	elispdir=%{_datadir}/xemacs/xemacs-packages/lisp/%{name} \
	etcdir=%{_datadir}/pixmaps/Mew
%makeinstall \
	elispdir=$RPM_BUILD_ROOT%{_datadir}/xemacs/xemacs-packages/lisp/%{name} \
	etcdir=$RPM_BUILD_ROOT%{_datadir}/pixmaps/Mew \
	INSTALLINFO="/sbin/install-info"

install -m 644 %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/xemacs/site-packages/lisp/site-start.d

#
# for Common files
#
# Fixed detect an invalid file dependent.
(cd $RPM_BUILD_DIR/%{name}-%{version}/contrib && \
	for i in *; do \
		sed -e s,/usr/local/bin/perl,/usr/bin/perl,g $i > $i.new && mv $i.new $i; \
	done \
)
chmod a-x $RPM_BUILD_DIR/%{name}-%{version}/contrib/*

# clean the unnecessary files
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post common
/sbin/install-info %{_infodir}/mew.info \
	%{_infodir}/dir --section="Message User Agent"
/sbin/install-info %{_infodir}/mew.jis.info \
	%{_infodir}/dir --section="Message User Agent"

%preun common
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/mew.info \
  	%{_infodir}/dir --section="Message User Agent"
  /sbin/install-info --delete %{_infodir}/mew.jis.info \
  	%{_infodir}/dir --section="Message User Agent"
fi


%files 
%defattr (-, root, root)
%doc 00copyright 00diff 00readme mew.dot.emacs mew.dot.mew
%dir %{_datadir}/emacs/site-lisp/%{name}
%{_datadir}/emacs/site-lisp/%{name}/*
%{_datadir}/emacs/site-lisp/site-start.d/mew-init.el

%files xemacs
%defattr (-, root, root)
%doc 00copyright 00diff 00readme mew.dot.emacs mew.dot.mew
%dir %{_datadir}/xemacs/xemacs-packages/lisp/%{name}
%{_datadir}/xemacs/xemacs-packages/lisp/%{name}/*
%{_datadir}/xemacs/site-packages/lisp/site-start.d/mew-init.el

%files common
%defattr (-, root, root)
%doc 00changes* 00copyright 00diff 00readme 00roadmap mew.dot.emacs mew.dot.mew
%lang(ja) %doc 00copyright.jis
%doc contrib/
%dir %{_datadir}/pixmaps/Mew
%{_bindir}/*
%{_datadir}/pixmaps/Mew/*
%{_infodir}/mew.info.gz
%{_infodir}/mew.info-*
%{_infodir}/mew.jis.info.gz
%{_infodir}/mew.jis.info-*
%{_mandir}/man1/*


%changelog
* Mon May 30 2005 Akira TAGOH <tagoh@redhat.com> - 4.2-1
- Updates to 4.2.
- import into Extras.

* Mon Nov 22 2004 Akira TAGOH <tagoh@redhat.com> - 4.1-1
- New upstream release.
  - improved IMAP support.
  - added the spam filter hook.
- mew-init.el: added the proper location for stunnel.

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 3.3-4
- require emacs-common instead of emacs.
- require xemacs-common instead of xemacs.

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 3.3-3
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep 02 2003 Akira TAGOH <tagoh@redhat.com> 3.3-1
- New upstream release.
- moved the install path to xemacs-packages.

* Fri Jun 27 2003 Akira TAGOH <tagoh@redhat.com> 3.2-5
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May  9 2003 Akira TAGOH <tagoh@redhat.com> 3.2-3
- mew-init.el: add some MIME type for OpenOffice.org

* Thu Apr 03 2003 Akira TAGOH <tagoh@redhat.com> 3.2-2
- mew-init.el: use OpenOffice.org for MS documents.
- removed im. it's no longer used from Mew. (#85167)
- don't excludearch.

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 3.2-1
- New upstream release.
- mew-3.1-installinfo.patch: removed.

* Tue Feb  4 2003 Akira TAGOH <tagoh@redhat.com> 3.1-8
- build on x86_64 and ppc.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Akira TAGOH <tagoh@redhat.com> 3.1-6
- according to xemacs 21.4.11, moved the install path for elisp.
- add ExcludeArch alpha ia64 ppc. right now our xemacs doesn't support these arch.

* Mon Dec 16 2002 Akira TAGOH <tagoh@redhat.com> 3.1-5
- updates to im-143.

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 3.1-4
- don't use rpms internal dep generator

* Mon Dec  9 2002 Akira TAGOH <tagoh@redhat.com> 3.1-3
- updates to im-142
- im-141-securityfix.patch: removed.

* Fri Dec  6 2002 Akira TAGOH <tagoh@redhat.com> 3.1-2
- updates to im-141
- im-141-securityfix.patch: applied to fix a locally security issue.

* Wed Dec  4 2002 Akira TAGOH <tagoh@redhat.com> 3.1-1
- New upstream release.
- mew-3.1-installinfo.patch: applied to install mew.info-4.
- fix some missing files.
- use installvendorlib instead of installsitelib.
- ExcludeArch x86_64 until fix load-path issue on xemacs.

* Mon Jun 24 2002 Akira TAGOH <tagoh@redhat.com> 2.2-5
- fix the description. (Bug#65556)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-2
- disable alpha because nothing is xemacs for alpha now.
- enable ia64.

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 2.2-1
- New upstream release.
- mew-2.2-makefile.patch: updates.

* Wed Jan 30 2002 Akira TAGOH <tagoh@redhat.com> 2.1-3
- merged im.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov  1 2001 Akira TAGOH <tagoh@redhat.com> 2.1-1
- New upstream release.

* Mon Oct 15 2001 Akira TAGOH <tagoh@redhat.com> 2.0-1
- New upstream release.
- Replaced the appropriate rpmmacros.
- Added package for xemacs.
- Split the common files of emacs and xemacs.

* Wed Oct  3 2001 Trond Eivind Glomsrd <teg@redhat.com> 1.94.2-12
- Fix broken %%post script ("oops!" is not a binary)
- s/Copyright/License/
- Don't define version and release on top of the file, and then use these to set
  the header values. Once is enough.

* Tue Oct  2 2001 Jens Petersen <petersen@redhat.com>  1.94.2-11
- put localhost in mew-mail-domain-list (mew-init.el) to avoid startup error

* Fri Sep  7 2001 SATO Satoru <ssato@redhat.com>  1.94.2-10
- added the line for the missing files in %%files (#54235)

* Wed Jul 17 2001 SATO Satoru <ssato@redhat.com>  1.94.2-9
- s/Emacs\=emacs/Emacs\=\/usr\/bin\/emacs/

* Mon Jul 10 2001 SATO Satoru <ssato@redhat.com>
- fix the group (close #47279)
- BuildPrereq: emacs >= %%{emacsver}
- BuildRequires: emacs >= %%{emacsver}

* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- this is *not* a noarch package

* Mon Jun 25 2001 SATO Satoru <ssato@redhat.com>
- rebuild (mew-*.tar.bz was corrupted)
- modified mew-init.el

* Tue Jun  5 2001 SATO Satoru <ssato@redhat.com>
- remove the Japanese messages
- fix Copyright term.
- clean up SPEC
- add mew-init.el
- BuildArch: noarch
- shorten lengthy description
- build for 7.2

* Tue Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- fix License Term.
- adopt FHS
- built on RedHat 7.0

* Wed Jun  7 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- fix description: mess up with mule/emacs/xemacs...
- added BuildRequires and Conflicts

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- updated 1.94.2

* Wed Apr 26 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- added PreReq: /sbin/install-info
- attrib +x for /usr/bin/uumerge
- CFLAGS="$RPM_OPT_FLAGS"

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-2
 - changed destination to /usr/share/emacs/site-lisp/mew

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
 - 1.94.1-1
 - updated in sync with 1.94.1 release
 - fixed %post and %preun section
 - Obsoletes: mew now changed to Obsoletes: mew-mule

* Fri Oct  8 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - fixed info path & install info
 - fixed '%description'

* Sat Oct  2 1999 Yasushi Karino <kari-p@mc.kcom.ne.jp>
 - removed extra packages
 - fixed char-set "euc" of the spec file.
 - slight modifications for Vine-1.9

* Wed Sep 29 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
  - 1.94-3
  - package name changed from mew-emacs to mew
  - make info, make jinfo now processed even under emacs

* Thu Sep 16 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- Released as version "1.94-2".

Changed from "mew-emacs 1.94-1".
- Deleted "NoSource: 0", the definition part of data. 
- Revised some, the definition part of data. 
- Revised some, part of "%post, %postun".
- Changerd "%postun" => "%preun".

* Mon Sep  6 1999 Ushio Tadaaki <t-ushio@fb3.so-net.ne.jp>
- First release.
